Subject: Re: bug#41800: guix lint doesn't catch apache mirror-url

From: Efraim Flashner <[email-masked]>
Date: Fri, 12 Jun 2020 18:01:50 +0300

On Thu, Jun 11, 2020 at 11:17:56PM +0200, Ludovic Courtès wrote:
> Hello,
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > There is a mirror://apache download option which isn't caught by 'guix
> > lint -c mirror-url'.
> 
> Do you have an example to reproduce it?

It turns out I made a mistake while changing the sources over to mirrors
and I'm fixing that now, but if you change serf's source URI back to
"https://archive.apache.org/dist/serf/serf-" version ".tar.bz2"
then it should suggest changing it to
"mirror://apache/serf/serf-" version ".tar.bz2"

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted